# Uses of Class
org.springframework.beans.PropertyAccessException

Packages that use PropertyAccessException
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.

## Uses of PropertyAccessException in org.springframework.beans

Subclasses of PropertyAccessException in org.springframework.beans
Modifier and Type
Class
Description
`class`
`ConversionNotSupportedException`
Exception thrown when no suitable editor or converter can be found for a bean property.
`class`
`MethodInvocationException`
Thrown when a bean property getter or setter method throws an exception, analogous to an InvocationTargetException.
`class`
`TypeMismatchException`
Exception thrown on a type mismatch when trying to set a bean property.
Methods in org.springframework.beans that return PropertyAccessException
Modifier and Type
Method
Description
`PropertyAccessException`
PropertyBatchUpdateException.`getPropertyAccessException(String propertyName)`
Return the exception for this field, or `null` if there isn't any.
`final PropertyAccessException[]`
PropertyBatchUpdateException.`getPropertyAccessExceptions()`
Return an array of the propertyAccessExceptions stored in this object.
Constructors in org.springframework.beans with parameters of type PropertyAccessException
Modifier
Constructor
Description
``
`PropertyBatchUpdateException(PropertyAccessException[] propertyAccessExceptions)`
Create a new PropertyBatchUpdateException.